Advertisement

LEGO Harry Potter: Years 1-4 System Requirements

LEGO Harry Potter: Years 1-4
Publisher: Warner Bros. Interactive Entertainment
Developer: TT Games
Minimum System Requirements
OS: Windows XP
Processor: Intel Pentium 4 @ 2.0 GHz / AMD Athlon XP 2000+
Memory: 512 Mb
Hard Drive: 6 Gb free
Video Memory: 256 Mb
Video Card: nVidia GeForce 6600 / ATI Radeon X1300
Sound Card: DirectX Compatible
DirectX: 9.0c
Keyboard
Mouse
DVD Rom Drive
Recommended System Requirements
OS: Windows XP/Vista/7
Processor: Intel Pentium 4 @ 3.2 GHz / AMD Athlon 64 3500+
Memory: 1 Gb
Hard Drive: 6 Gb free
Video Memory: 512 Mb
Video Card: nVidia GeForce 8800 / ATI Radeon HD 3870
Sound Card: DirectX Compatible
DirectX: 9.0c
Keyboard
Mouse
DVD Rom Drive

Comment on This Game

2 Comments to the Game “LEGO Harry Potter: Years 1-4”

  1. Kagiso says:

    My specs are windows xp.pentium 4.nvidia geforce 7300 256mb…1.5gb ram…p 3.06ghz. Will it run good on my pc

  2. Andrew Lowe says:

    My specs are Windows 8 Pro 64 bit AMD Radeon HD 6750M Direct X 11 Shader Model 5.0 512 MB goes up to 8413 MB, 16 GB of ram , Intel core i5 at 2.5ghz

Add a Comment





More System Requirements for the Following Games